curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_abc123"
}
'{
"deployments": [
{
"id": "dep_123",
"pluginId": "jointboost-variant-a",
"version": "1.0.2",
"url": "https://jointboost-variant-a-abc123.cdn.tagadapay.dev/",
"active": true,
"mode": "direct-mode",
"size": 264697,
"deployedAt": "2024-03-20T10:30:00Z",
"plugin": {
"id": "jointboost-variant-a",
"name": "JointBoost Variant A",
"description": "Green theme variant for A/B testing"
}
}
]
}Get all deployments for plugins in a store
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_abc123"
}
'{
"deployments": [
{
"id": "dep_123",
"pluginId": "jointboost-variant-a",
"version": "1.0.2",
"url": "https://jointboost-variant-a-abc123.cdn.tagadapay.dev/",
"active": true,
"mode": "direct-mode",
"size": 264697,
"deployedAt": "2024-03-20T10:30:00Z",
"plugin": {
"id": "jointboost-variant-a",
"name": "JointBoost Variant A",
"description": "Green theme variant for A/B testing"
}
}
]
}